curl --location --request GET 'https://test.your-api-server.com/api/mes/scheduling/63fd6bb67a02956b44aeb3dd' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data-raw '{
"qtyProduce":20000,
"action":"modificar",
"dateStart":"",
"dateEnd":"",
"hourStart":"",
"hourEnd":"",
"status":"planeado"
}'{
"msg": "Lista de Programaciones",
"schedule": {
"_id": "63fbe6f4e2ae94151cff111a",
"qtyProduce": 21000,
"action": "modificar",
"dateStart": "2023-01-01T20:00:00.000Z",
"dateEnd": "2023-01-03T00:00:00.000Z",
"status": "planeado",
"_idProductionLine": {
"_id": "6360a18aedf3b9fc0fb7241f",
"name": "Molino 1",
"erp_code": 88888,
"id_controller": 1
},
"_idRecipe": {
"_id": "637e7f3f50033db005f1b2cd",
"name": "Cemento UG",
"erp_code": 50021,
"id_controller": 25,
"ingredients": [
{
"_idMaterial": "636566c3952b5a1c3bf544ee",
"qty": 50,
"_id": "63aa579dfaa3b8d6ab07334f"
},
{
"_idMaterial": "637e7a8d50033db005f1b1f9",
"qty": 30,
"_id": "63aa579dfaa3b8d6ab073350"
},
{
"_idMaterial": "637e7add50033db005f1b1ff",
"qty": 15,
"_id": "63aa579dfaa3b8d6ab073351"
},
{
"_idMaterial": "637e7ac150033db005f1b1fc",
"qty": 5,
"_id": "63aa579dfaa3b8d6ab073352"
}
]
},
"createdAt": "2023-02-26T23:10:44.801Z",
"updatedAt": "2023-02-27T00:06:04.541Z"
}
}